@import "$SHAREDSTYLES/base/_variables.scss";

.user_location{
	float: left;
	width: 100%;
	padding-bottom: 15px;
}

.notes_input{
	resize: none;
	width: 100%;
	border: 1px solid $light-grey;
	font-size: 17px;
	padding: 22px 15px;
	outline: none;
}

ul.item_list_wraper{
	float: left;
	width: 100%;
	li{
		float: left;
		width: 100%;
		// border-bottom: 1px solid $light-grey;
		padding-top:10px 15px;
		// font-size: 17px;
		position: relative;
	}
}

.discount{
	color:#f0a650;
	font-size: 13px;
}
.itemName{
	font-size: 14px;
	font-weight: 600;
}
.rightAlign{
	float: right;
}
.strikeLine{
	text-decoration: line-through;
}
.removeBtn{
    display: inline-block;
    border: 1px solid $grey-text;
    height: 25px;
    min-width: 25px;
    text-align: center;
    border-radius: 3px;
    padding-top: 3px;
}

.selectQty{
    border: 1px solid $grey-text;
    width: 50px;
    margin-left: 10px;
    margin-top: -1px;
    vertical-align: middle;
}

.orderQty{
	font-size: 14px;
	span{
		display: inline-block;
		text-align: center;
	    width: 25px;
	    background: #f4f4f4;
	}
}

ul.medicine_list_wraper, ul.item_list_wraper{
	float: left;
	width: 100%;
	li{
		float: left;
		width: 100%;
		border-top: 1px solid $light-grey;
		padding: 10px 15px;
		// font-size: 17px;
		position: relative;
		min-height: 92px;
	}
}
ul.item_list_wraper	li:last-child{
	border-bottom: 0;
}

.checkbox_check_border_r{
	width: 18px;
	height: 18px;
	border: 2px solid $theme;
	float: left;
	text-align: center;
	margin-right: 10px;
	margin-top: 3px;
	-webkit-border-radius: 50%;
	border-radius: 50%;
	padding: 0;
}
.checkbox_check_show_r{
	width: 10px;
	height: 10px;
	-webkit-border-radius: 50%;
	border-radius: 50%;
	background-color:  $theme;
	float: left;
	margin-top: 2px;
	margin-left: 2px;
}

.request_call_labels{
		float: left;
		width: 100%;
		padding: 16px 0;
}

.request_call_label{
	float: left;
	cursor: pointer;
	width: 100%;
	padding: 15px 0;
	input{
		display: none;
	}
}
.checkbox_check_border{
	width: 18px;
	height: 18px;
	float: left;
	text-align: center;
	margin-right: 10px;
	margin-top: 4px;
	-webkit-border-radius: 50%;
	border-radius: 50%;
	padding: 0;
	border: 2px solid #03ca85;
}
.checkbox_check_show{
	width: 10px;
	height: 10px;
	-webkit-border-radius: 50%;
	border-radius: 50%;
	float: left;
	margin-top: 2px;
	margin-left: 2px;
	background-color: #03ca85;
}

.description{
	float: left;
	width: 100%;
	padding: 10px 15px 10px;
	color: #aaa;
}

.box_container{
	position: relative;
	border-radius: 4px;
	background-color: #ffffff;
	box-shadow: 0 1px 4px 0 rgba(74, 74, 74, 0.1);
	border: solid 0.5px rgba(74, 74, 74, 0.2);
}

.promocode_input{
	width: 75%;
	/*float:left;*/
	background-color: #fff !important;
	/*border-top: 1px solid $light-grey;*/
	/*border-bottom: 1px solid $light-grey;*/
	padding: 11px 15px !important;
	font-size: 14px !important;
}

.promocode_button{
	cursor: pointer;
	background-color: none;
	color: $theme;
	width: 25%;
	/*float: left;*/
	font-size: 14px;
	padding: 14px 8px;
  margin-top: 0;
  text-align: right;
}

.promocode_error{
	color: #FF7DA4;
	margin: 5px 16px;
	font-size: 14px;
}

.bordered_box{
	border-bottom: 1px solid #eef2f7;
  padding-bottom: 5px;
  margin-bottom: 5px;
}

.saving_text{
  background: #E7F8F1;
  border-radius: 4px;
  font-size: 12px;
  padding: 4px 8px;
  margin-top: 8px;
}

.bill_details{
	padding: 7px 12px;
	font-size: 14px;
	line-height: 2;
	&:first-child{
		border-bottom: solid 0.5px rgba(74, 74, 74, 0.2);
		line-height: 1.5
	}
	.name{
		font-size: 16px;
	  	font-weight: 500;
	}

	.address{
		width:70%;
	}
	.value{
		float: right;
	}
	.green{
		color: $theme
	}
	.change_address{
		position: absolute;
		right: 8px;
	}
}

.bill_container{
	width: calc(100% - 30px) !important;
	margin: 0 15px 100px 15px;
}

.amount_message{
  font-size: 12px;
  color: #aaa;
  margin-bottom: 4px;
}

.next_button_container{
	float: left;
	width: 100%;
	margin-bottom: 50px;

}

.success_container_header{
	float: left;
	width: 100%;
	text-align: center;
	color: $theme;
	margin-top: 30px;
	margin-bottom: 5px;
	.ok_icon_wraper{
		height: 85px;
		width: 85px;
		background-color: $theme;
		border-radius: 50%;
		display: inline-block;
		position: relative;
		margin-bottom: 15px;
		.ok_icon{
			height: 21px;
			width: 49px;
			border-left: 3px solid #fff;
			border-bottom: 3px solid #fff;
			position: absolute;
			top: 45%;
			left: 50%;
			transform: translate(-50%, -50%) rotate(-38deg);
			animation: 1s 1 ticking;
		}
	}
}

.company_message_line{
	float: left;
	width: 100%;
	margin-top: 0px;
	/*margin-bottom: 20px;*/
	padding: 0 16px;
	color: #aaa;
}

.order_detail{
	float: left;
	width: 100%;
	li{
		float: left;
		width: 100%;
		padding: 7px 0;
	}
}

.select_box_wrp{
	float: left;
	width: 100%;
	padding: 10px 0;
}

.select_hour{
	margin-right: 15px;
	width: 60px;
	float: left;
}

.select_timemode{
	width: 65px;
	float: left;
}

.add_item_button{
	text-align: center;
	color: $theme;
	float: left;
	width: 100%;
	cursor: pointer;
	margin: 10px 0;
}
.adding_button{
	font-weight: bold;
	color: #999;
	margin-top: 2px;
	display: inline-block;
}

.cancel_button{
	position: absolute;
	cursor: pointer;
	top: -3px;
	right: 0;
	height: 30px;
	width: 30px;
	text-align: center;
	line-height: 39px;
}

.button_center_container{
	width: 100%;
	float: left;
	margin: 30px auto 8px;
}

.quantity_textval{
	max-width: calc(40% - 30px);
	margin-right: 40px;
	float: right;
}

.item_textval{
	max-width: 60%;
	float: left;
}

.field_wraper{
	width: 100%;
	float: left;
	padding: 0;
	border-bottom: 1px solid $light-grey;
	background-color: #fff;
	font-size: 17px;
	margin-bottom: 30px;
}

.clear_item_button{
	float: left;
	width: 100px;
	button{
		padding: 5px 10px;
	}
}

.extended_add_item_button{
	float: left;
	width: 100px;
	margin-left: 20px;
	button{
		padding: 5px 10px;
	}
}

.item_add_button_wrap{
	float: right;
	margin-bottom: 10px;
	margin-right: 15px;
}

.extended_input_wraper{
	float: left;
	width: 100%;
	margin-bottom: 10px;
	margin-top: 5px;
	padding: 0 15px;
}

.extended_item_input_wrp{
	float: left;
	width: 70%;
}

.extended_quantity_input_wrp{
	float: right;
	width: 25%;
}

.discounted_prize{
	color: $theme;
	position: absolute;
	right: 0;
	top: 10px;
	font-size: 18px;
}

.reorder_discounted_prize{
	color: $theme;
	position: absolute;
	right: 0;
	top: -1px;
	font-size: 18px;
}

.normal_prize{
	position: absolute;
	right: 0;
	color: #A7A5A0;
	font-size: 14px;
	top: 3px;
}

.reorder_normal_prize{
	position: absolute;
	right: 0;
	color: #A7A5A0;
	font-size: 14px;
	top: 26px;
}

.strick_threw{
	position: absolute;
	width: 113%;
	top: 49%;
	left: -3px;
	height: 1px;
	background-color: #A7A5A0;
}

.count_item_bar{
	color: $theme;
	float: left;
	margin-top: 7px;
}

.count_element{
	float: left;
	margin-top: 2px;
	font-size: 18px;
	select{
		border: 0;
		color: inherit;
		font-size: 18px;
		background-color: transparent;
	}
}

.rate_box{
	color: $theme;
	float: right;
	margin-top: 7px;
}

.minus{
	float: left;
	margin-right: 15px;
	cursor: pointer;
}

.plus{
	float: left;
	margin-left: 15px;
	cursor: pointer;
}

.show_reorder_item_button{
	position: absolute;
	top: 0;
	right: 0;
	width: 160px;
}

.reorder_item_button{
	position: absolute;
	top: 73px;
	border: 1px solid #ff7300;
	right: 0;
	padding: 2px 12px;
	color: #ff7300;
	border-radius: 15px;
	font-size: 14px;
	cursor: pointer;
}

.light_text{
	color: #aaa;
}

.reorder_item_done{
	position: absolute;
	top: 73px;
	border: 1px solid #999;
	right: 0;
	padding: 2px 12px;
	color: #fff;
	background-color: #999;
	border-radius: 15px;
	font-size: 14px;
}

ul li.pink_background {
		background-color: #FFEDED;
		.not_available_med{
			border: 1px solid #ff4b4b;
			color: #ff4b4b;
			padding: 3px 13px;
			display: inline-block;
			margin: 7px 20px 5px 0;
			border-radius: 16px;
			font-size: 13px;
		}
	}

.discount_box{
	background-color: $discount-background;
	color: $light;
	padding: 2px 3px;
	font-size: .7em;
	margin-right: 5px;
	border-radius: 2px;
}

.extendedWraper{
	min-height: 80px;
}


/*Order Status*/
.status_container{
	position: fixed;
	background-color: #fff;
	top: 0;
	left: 0;
	z-index: 1000;
	border-radius: 0 !important;
	height: 100% !important;
	width: 100% !important;
	color: #009b67;
	.container{
		position: relative;
		height: 100%;
		width: 100%;
		margin: 0 auto;
		overflow: auto;
	}
	.content{
	    width: 90%;
	    transform: translate(-50%, -50%);
	    position: absolute;
	    top: 50%;
	    left: 50%;
	    text-align: center;
	}
	.message{
		margin-top: 25px;
		font-size: 32px;
  		font-weight: 500;
	}
}

@media screen and (max-width: 770px){
	.next_button_container{
		margin-bottom: 0;
		position: fixed;
		bottom: -1px;
		left: 0;
		box-shadow: 0 0 6px 0px rgba(0, 0, 0, 0.25);
		button{
			margin: 0;
		}
	}

	.description {
    padding: 10px 15px 60px;
	}
}




.chart svg {
  fill: #009b67;
}

.chart svg path{
  animation-delay: .5s;
  -webkit-animation: fadeIn ease 1s;
  animation: fadeIn ease 1s;
}

.recommendation_container{
	padding: 15px;
	overflow: auto;
	background-color: #f6f6f6;
	// margin-bottom: 20px;
}

.recommendation_wrp{
	padding: 7px;
	width: 170px;
	height: 105px;
	background: #fff;
	border: 1px solid #eef2f7;
	box-shadow: 0 0 10px #264a4a30;
	margin-right: 8px;
	border-radius: 5px;
	font-size: 12px;
	img{
		max-width: 70px;
    max-height: 80px;
	}
}

.outer {
  fill: transparent;
  stroke: #009b67;
  stroke-width: 10;
  stroke-dasharray: 534;
  transition: stroke-dashoffset 1s;
  -webkit-animation-play-state: running;

  /* firefox bug fix - won't rotate at 90deg angles */
  -moz-transform: rotate(-89deg) translateX(-190px);
}


/* END Circle colors and graphic positions */


/* Set the initial values for the animation */
.chart[data-percent='100'] .outer {
  stroke-dashoffset: 0;
  -webkit-animation: show100 2s;
  animation: show100 2s;
}

.chart[data-percent='75'] .outer {
  stroke-dashoffset: 133;
  -webkit-animation: show75 2s;
  animation: show75 2s;
}

.chart[data-percent='50'] .outer {
  stroke-dashoffset: 267;
  -webkit-animation: show50 2s;
  animation: show50 2s;
}

.chart[data-percent='25'] .outer {
  stroke-dashoffset: 401;
  -webkit-animation: show25 2s;
  animation: show25 2s;
}
/* END set initial animation values */

/* Keyframes for the initial animation */
@-webkit-keyframes show100 {
  from {
    stroke-dashoffset: 537;
  }

  to {
    stroke-dashoffset: 0;
  }
}

@keyframes show100 {
  from {
    stroke-dashoffset: 537;
  }

  to {
    stroke-dashoffset: 0;
  }
}

@-webkit-keyframes show75 {
  from {
    stroke-dashoffset: 537;
  }

  to {
    stroke-dashoffset: 134;
  }
}

@keyframes show75 {
  from {
    stroke-dashoffset: 537;
  }

  to {
    stroke-dashoffset: 124;
  }
}

@-webkit-keyframes show50 {
  from {
    stroke-dashoffset: 537;
  }

  to {
    stroke-dashoffset: 267;
  }
}

@keyframes show50 {
  from {
    stroke-dashoffset: 537;
  }

  to {
    stroke-dashoffset: 267;
  }
}

@-webkit-keyframes show25 {
  from {
    stroke-dashoffset: 537;
  }

  to {
    stroke-dashoffset: 401;
  }
}

@keyframes show25 {
  from {
    stroke-dashoffset: 537;
  }

  to {
    stroke-dashoffset: 401;
  }
}

@-webkit-keyframes fadeIn {
  from {
   opacity: 0;
  }

  to {
    opacity: 1;
  }
}

@keyframes fadeIn {
  from {
   opacity: 0;
  }

  to {
    opacity: 1;
  }
}
